ServiceDescriptorFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.api.registry.ServiceDescriptorFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.registry
Class ServiceDescriptorFactory

    java.lang.Object
      org.mule.api.registry.ServiceDescriptorFactory

    public class ServiceDescriptorFactory

extends Object

Factory used to create a new service descriptor.

Field Summary
`static String` | `EXCEPTION_SERVICE_TYPE`
`protected Log` | `logger`
`static String` | `MODEL_SERVICE_TYPE`
`static String` | `PROVIDER_SERVICE_TYPE` Deprecated. use `TRANSPORT_SERVICE_TYPE`
`static String` | `TRANSPORT_SERVICE_TYPE`

Constructor Summary
`ServiceDescriptorFactory()`

Method Summary
`static ServiceDescriptor` | `create(String type, String name, Properties props, Properties overrides, Registry registry, ClassLoader classLoader)` Factory method to create a new service descriptor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROVIDER_SERVICE_TYPE

    @Deprecated
    public static final String PROVIDER_SERVICE_TYPE

  Deprecated. use `TRANSPORT_SERVICE_TYPE`
  See Also:
    Constant Field Values

### TRANSPORT_SERVICE_TYPE

    public static final String TRANSPORT_SERVICE_TYPE

See Also:
  Constant Field Values

### MODEL_SERVICE_TYPE

    public static final String MODEL_SERVICE_TYPE

See Also:
  Constant Field Values

### EXCEPTION_SERVICE_TYPE

    public static final String EXCEPTION_SERVICE_TYPE

See Also:
  Constant Field Values

### logger

    protected final Log logger

Constructor Detail

### ServiceDescriptorFactory

    public ServiceDescriptorFactory()

Method Detail

### create

    public static ServiceDescriptor create(String type,
                                           String name,
                                           Properties props,
                                           Properties overrides,
                                           Registry registry,
                                           ClassLoader classLoader)
                                    throws ServiceException

  Factory method to create a new service descriptor.

  Throws:
    `ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.